FROM registry.cn-shanghai.aliyuncs.com/c7n/javabase:jdk8u282-b08
COPY app.jar /xisc-pm.jar
ADD scripts /scripts/
RUN chmod +x /scripts/eureka_shutdown.sh
ENV JAVA_TOOL_OPTIONS -Dfile.encoding=UTF8 -Duser.language=zh -Duser.region=zh_CN -Duser.country=zh_CN
ENTRYPOINT exec java -XX:+UnlockExperimentalVMOptions -XX:+UseCGroupMemoryLimitForHeap $JAVA_OPTS $SKYWALKING_OPTS  -jar /xisc-pm.jar